> ## Documentation Index
> Fetch the complete documentation index at: https://docs.fynn.eu/llms.txt
> Use this file to discover all available pages before exploring further.

# Get a checkout link item

> Get a checkout link item by its ID

<sup>Required permissions: `checkout-link:read`</sup>



## OpenAPI

````yaml get /checkout-link-items/{id}
openapi: 3.1.0
info:
  title: Fynn API
  description: ''
  termsOfService: https://www.fynn.eu/tos
  contact:
    name: Fynn UG (haftungsbeschränkt)
    url: https://www.fynn.eu
    email: hi@fynn.eu
  license:
    name: Proprietary
    url: https://www.fynn.eu/license
  version: 0.0.0
servers:
  - url: https://coreapi.io
    description: Production
  - url: https://preview.coreapi.io
    description: Sandbox
security:
  - JWT: []
tags: []
paths:
  /checkout-link-items/{id}:
    parameters: []
    get:
      tags:
        - CheckoutLinkItem
      summary: Get a checkout link item
      description: |-
        Get a checkout link item by its ID

        <sup>Required permissions: `checkout-link:read`</sup>
      operationId: getCheckoutLinkItem
      parameters:
        - name: id
          in: path
          description: CheckoutLinkItem identifier
          required: true
          deprecated: false
          schema:
            type: string
          style: simple
          explode: false
      responses:
        '200':
          description: CheckoutLinkItem resource
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CheckoutLinkItem-CheckoutLinkItemDetail'
            text/html:
              schema:
                $ref: '#/components/schemas/CheckoutLinkItem-CheckoutLinkItemDetail'
        '404':
          description: Resource not found
      deprecated: false
      security:
        - JWT:
            - checkout-link:read
      x-codeSamples:
        - lang: bash
          label: cURL
          source: |-
            curl -X GET \
             /checkout-link-items/{id} \
             --header "Authorization: Bearer <token>"
components:
  schemas:
    CheckoutLinkItem-CheckoutLinkItemDetail:
      type: object
      description: ''
      deprecated: false
      properties:
        type:
          readOnly: true
          description: |-
            The type of the checkout link item.

            Possible values:
             * `product`: A product will be added to the cart, with the given quantity.
             * `plan`: A plan will be added to the cart, and can be configured by the customer.
          example: product
        product:
          readOnly: true
          description: This is required when the type is "product".
          anyOf:
            - $ref: '#/components/schemas/Product-CheckoutLinkItemDetail'
            - type: 'null'
        quantity:
          readOnly: true
          description: This is required when the type is "product".
          example: 1
          anyOf:
            - $ref: '#/components/schemas/Quantity-CheckoutLinkItemDetail'
            - type: 'null'
        plan:
          readOnly: true
          description: This is required when the type is "plan".
          anyOf:
            - $ref: '#/components/schemas/Plan-CheckoutLinkItemDetail'
            - type: 'null'
        price:
          readOnly: true
          description: This is required when the type is "product", "plan".
          anyOf:
            - $ref: '#/components/schemas/PricePlan-CheckoutLinkItemDetail'
            - type: 'null'
        periods:
          readOnly: true
          description: >-
            The contract period terms of the product item. If none provided, the
            billing period will be used as contract period, the cancellation
            period is set to 1 day.
          type: array
          items:
            $ref: '#/components/schemas/TermPeriod-CheckoutLinkItemDetail'
    Product-CheckoutLinkItemDetail:
      type: object
      description: ''
      deprecated: false
      properties:
        id:
          readOnly: true
          description: The unique identifier of the product.
          example: ad8f1c2c-3b1c-4b0a-8b0a-0b0b0b0b0b0b
          type: string
        name:
          description: >-
            The name of the product based on the current tenant language. This
            will be displayed on customer communication.
          example: Basic
          type: string
        description:
          description: The description of the product based on the current tenant language.
          example: For small teams.
          type:
            - string
            - 'null'
        type:
          description: |
            The type of the product.
             - `product`: recurring billed product
             - `charge`: one-time billing
             - `plan`: plan specific product, which cannot be used as a normal product. Will be filtered out in any product lists.
          type: string
          enum:
            - product
            - charge
            - plan
        invoiceVisibility:
          description: |
            Defines when the product should be displayed in the invoice.
             - `always`: The product is always displayed in the invoice.
             - `only_if_charged`: The product is only displayed in the invoice if it is charged.
          type: string
          enum:
            - always
            - only_if_charged
        customFields:
          additionalProperties:
            type: string
          type:
            - object
            - 'null'
          example:
            field1: value1
            field2: value2
          description: >-
            Custom fields for the entity. The keys are the field names and the
            values are the field values. They need to be configured under
            \"/custom-fields\" in the API documentation. The input is validated
            against the configuration. For more details see [Custom Fields
            Guide](/guide/tenant/custom-fields)
      required:
        - type
    Quantity-CheckoutLinkItemDetail:
      type:
        - number
        - 'null'
      description: A numeric quantity value.
      example: 1
    Plan-CheckoutLinkItemDetail:
      type: object
      description: ''
      deprecated: false
      properties:
        id:
          readOnly: true
          description: The unique identifier of the plan.
          example: ad8f1c2c-3b1c-4b0a-8b0a-0b0b0b0b0b0b
          type: string
        family:
          description: >-
            Allow to group plans together. This allows to upgrade or downgrade
            between plans in the same family.
          anyOf:
            - $ref: '#/components/schemas/PlanFamily-CheckoutLinkItemDetail'
            - type: 'null'
        code:
          description: >-
            The code of the plan. This is used to identify the plan e.g. in the
            checkout url.
          example: basic-m2023
          type: string
        originProduct:
          readOnly: true
          description: >-
            The origin product this plan belongs to. This is relevant for
            advanced analytics.
          anyOf:
            - $ref: '#/components/schemas/Product-CheckoutLinkItemDetail'
            - type: 'null'
        allowCheckout:
          description: >-
            Allow to checkout this plan. If this is set to false, the plan will
            not be available in the checkout and can only be assigned to a
            subscription by the API or in the admin panel. The plan.code is a
            part of the checkout url.
          default: true
          example: true
          type: boolean
        status:
          readOnly: true
          description: |-
            The status of the plan.

            Possible values:
             * `draft`: The plan is a draft and not available for usage in a subscription.
             * `active`: The plan is active and can be used in a subscription.
             * `archived`: The plan is archived and not longer available for usage in a subscription.
             * `inactive`: The plan is inactive and not available for usage in a subscription.
          default: draft
          example: draft
        createdAt:
          type: string
          format: date-time
        name:
          readOnly: true
          description: The name of this plan
          type: string
        description:
          readOnly: true
          description: The description of this plan
          type:
            - string
            - 'null'
    PricePlan-CheckoutLinkItemDetail:
      type: object
      description: ''
      deprecated: false
      properties:
        id:
          readOnly: true
          description: The unique identifier of the price plan.
          example: ad8f1c2c-3b1c-4b0a-8b0a-0b0b0b0b0b0b
          type: string
        internalName:
          minLength: 3
          maxLength: 255
          description: The internal name of the price plan.
          example: Exclusive pricing for partners.
          type:
            - string
            - 'null'
        status:
          readOnly: true
          description: |-
            The status of the price plan.

            Possible values:
             * `active`: The price is active and can be used.
             * `archived`: The price is archived and cannot be used anymore. It will be not shown in any lists until explicitly requested.
          default: active
          example: active
        salesChannel:
          description: >-
            This price is only available for a specific sales channel.

            If this is set, the price is only available for the sales channel
            with the given ID.

            All other price plans will be ignored.
          anyOf:
            - $ref: '#/components/schemas/SalesChannel-CheckoutLinkItemDetail'
            - type: 'null'
        type:
          description: |-
            The type of the charge. This defines how the price is calculated.

            Possible values:
             * `flat_fee`: A flat fee is charged, e.g. 10€ per month independent of the number of units.
             * `volume`: A volume based price is charged, e.g. 10€ for the first 10 units and 9€ for all units when the number of units is above 10. Useful for volume discounts.
             * `percentage`: A percentage of the total price is charged, e.g. 10% of the total price multiplied by the number of units. Useful for provisions.
             * `per_unit`: A price per unit is charged, e.g. 10€ per unit per billing interval. Useful for per seat based pricing.
             * `tiered`: A tiered price is charged. E.g. 10€ per unit for the first 10 units, 9€ per unit for the next 10 units and 8€ per unit for all units above 20.
             * `stair_step`: A stair step price is charged. E.g. 10€ per unit for the first 10 units, 9€ per unit for all units above 10.
          example: flat_fee
        applyTrial:
          description: >-
            If this is set to true, the price plan can be applied on a trial. If
            the product is in trial, and this is false, the price will be
            charged on subscription start, otherwise after trial.
          default: true
          example: true
          type: boolean
        payInAdvance:
          description: >-
            If this is set to true, the price will be charged in advance. If
            this is false, the price will be charged at the end of the billing
            interval.
          default: true
          example: true
          type:
            - boolean
            - 'null'
        proRata:
          description: >-
            If this is set to true, the price will be charged prorated when a
            partial billing interval is billed. This applies to measurements of
            type "recurring" or non-one-time billing intervals. For other
            measurements this parameter will be ignored.
          type: boolean
        freeUnits:
          description: >-
            The amount of free units. If null, no free units are available. Free
            units will be applied before passed to the price calculation and are
            available prorated.

            If the customer does not uses the free units during a billing
            period, they are not carried over to the next billing period.

            If the customer cancels the subscription before ending the billing
            period, the free units are only available prorated for the remaining
            billing period.



            **Example**: You offer 2400 free units for 12 months and your price
            has a billing interval for 1 month. The customer cancels after 6
            months. Only 1200 free units are available.


            **A price plan for a recurring product cannot have free units. Use a
            metered product instead.**


            **A price plan related to a product of type charge cannot have free
            units.**
          anyOf:
            - $ref: '#/components/schemas/Quantity-CheckoutLinkItemDetail'
            - type: 'null'
        billingInterval:
          description: >-
            The billing interval of the price plan. If null, this is a one-time
            charge.

            Billing intervals of null cannot be prorated.
          example: 1M
          anyOf:
            - $ref: '#/components/schemas/BillingInterval-CheckoutLinkItemDetail'
            - type: 'null'
        showPricePerInterval:
          description: >-
            Display the billed price per interval in customerfront or invoices.
            If null, the price will be shown per billing interval.

            Currently only available for billing intervals of months, years.
            Currently only allowed to show price per month (1M)
          example: 1M
          anyOf:
            - $ref: '#/components/schemas/Interval-CheckoutLinkItemDetail'
            - type: 'null'
        currencyCode:
          $ref: '#/components/schemas/CurrencyCode-CheckoutLinkItemDetail'
          description: The currency of the price
        price:
          description: The price in the defined billing interval.
          type: object
          oneOf:
            - $ref: '#/components/schemas/FlatFeePrice'
              title: Flat fee
            - $ref: '#/components/schemas/PercentagePrice'
              title: Percentage
            - $ref: '#/components/schemas/PerUnitPrice'
              title: Per unit
            - $ref: '#/components/schemas/TieredPrice'
              title: Tiered
        custom:
          readOnly: true
          description: >-
            If this price plan is a custom price plan. A price plan is custom if
            it is defined specific for a plan addon, plan charge, customer or
            sales channel.
          example: true
          type: boolean
        charge:
          description: The charge related to this price plan.
          example: ad8f1c2c-3b1c-4b0a-8b0a-0b0b0b0b0b0b
          type: string
          format: uuid
        productSetOption:
          description: The product set option related to this price plan.
          example: ad8f1c2c-3b1c-4b0a-8b0a-0b0b0b0b0b0b
          type: string
          format: uuid
        product:
          readOnly: true
          description: The product this price plan belongs to.
          nullable: false
        customer:
          readOnly: true
          description: The customer this price plan belongs to.
          nullable: false
        inUse:
          readOnly: true
          description: If this price plan is in use.
          example: true
          type: boolean
        checkoutLinkIds:
          readOnly: true
          description: The checkout link IDs related to this price plan.
          example:
            - ad8f1c2c-3b1c-4b0a-8b0a-0b0b0b0b0b0b
          type: array
          items:
            type: string
      required:
        - type
        - currencyCode
        - price
    TermPeriod-CheckoutLinkItemDetail:
      type: object
      description: ''
      deprecated: false
      properties:
        contractPeriod:
          $ref: '#/components/schemas/Interval-CheckoutLinkItemDetail'
          readOnly: true
        cancellationPeriod:
          $ref: '#/components/schemas/Interval-CheckoutLinkItemDetail'
          readOnly: true
    PlanFamily-CheckoutLinkItemDetail:
      type: object
      description: ''
      deprecated: false
      properties:
        id:
          readOnly: true
          example: ad8f1c2c-3b1c-4b0a-8b0a-0b0b0b0b0b0b
          type: string
    SalesChannel-CheckoutLinkItemDetail:
      type: object
      description: Der Vertriebskanal (kompakte Referenz).
      deprecated: false
      properties:
        id:
          readOnly: true
          type: string
        name:
          readOnly: true
          type: string
          description: Stabiler technischer Name des Kanals (z. B. "default").
        brandName:
          readOnly: true
          type: string
          description: Anzeigename der Marke.
    BillingInterval-CheckoutLinkItemDetail:
      type: object
      description: ''
      deprecated: false
    Interval-CheckoutLinkItemDetail:
      type: object
      description: ''
      deprecated: false
    CurrencyCode-CheckoutLinkItemDetail:
      type: string
      description: ISO 4217 currency code.
      example: EUR
    FlatFeePrice:
      type: object
      description: ''
      deprecated: false
      required:
        - amount
      properties:
        amount:
          description: The amount of the flat fee per unit
          type: number
        createdAt:
          readOnly: true
          description: The date and time when the resource was created.
          example: '2021-01-01T00:00:00+00:00'
          type: string
          format: date-time
        updatedAt:
          readOnly: true
          description: The date and time when the resource was last updated.
          example: '2021-01-01T00:00:00+00:00'
          type: string
          format: date-time
        tenantId:
          readOnly: true
          type: string
      title: Flat fee
    PercentagePrice:
      type: object
      description: ''
      deprecated: false
      required:
        - percentage
        - fixedAmount
        - freeUnitsPerEvent
        - freeUnitsPerBillingInterval
      properties:
        percentage:
          description: The percentage of the total amount that is charged.
          type: number
        fixedAmount:
          description: >-
            The fixed amount that is charged per unit, metered in the billing
            period. E.g. on pushing 1000 units, the fixed amount is charged 1000
            times * percentage
          type: number
        freeUnitsPerEvent:
          description: The number of units that are not subject to the fixed fee.
          type: integer
        freeUnitsPerBillingInterval:
          description: The amount that is not subject to the charge rate.
          type: number
        createdAt:
          readOnly: true
          description: The date and time when the resource was created.
          example: '2021-01-01T00:00:00+00:00'
          type: string
          format: date-time
        updatedAt:
          readOnly: true
          description: The date and time when the resource was last updated.
          example: '2021-01-01T00:00:00+00:00'
          type: string
          format: date-time
        tenantId:
          readOnly: true
          type: string
      title: Percentage
    PerUnitPrice:
      type: object
      description: ''
      deprecated: false
      required:
        - amount
      properties:
        amount:
          description: The amount of money per unit
          example: 0.99
          type: number
        createdAt:
          readOnly: true
          description: The date and time when the resource was created.
          example: '2021-01-01T00:00:00+00:00'
          type: string
          format: date-time
        updatedAt:
          readOnly: true
          description: The date and time when the resource was last updated.
          example: '2021-01-01T00:00:00+00:00'
          type: string
          format: date-time
        tenantId:
          readOnly: true
          type: string
      title: Per unit
    TieredPrice:
      type: object
      description: ''
      deprecated: false
      required:
        - items
      properties:
        items:
          minItems: 1
          type: array
          items:
            $ref: '#/components/schemas/TierItem'
        createdAt:
          readOnly: true
          description: The date and time when the resource was created.
          example: '2021-01-01T00:00:00+00:00'
          type: string
          format: date-time
        updatedAt:
          readOnly: true
          description: The date and time when the resource was last updated.
          example: '2021-01-01T00:00:00+00:00'
          type: string
          format: date-time
        tenantId:
          readOnly: true
          type: string
      title: Tiered
    TierItem:
      type: object
      description: ''
      deprecated: false
      properties:
        id:
          readOnly: true
          type: string
        from:
          description: The lower bound of the tier
          type: number
        amount:
          description: The amount of the tier per unit
          type: number
        flatAmount:
          description: >-
            The flat amount of the tier, billed once in addition to the amount
            per unit in a billing period
          type: number
        createdAt:
          readOnly: true
          description: The date and time when the resource was created.
          example: '2021-01-01T00:00:00+00:00'
          type: string
          format: date-time
        updatedAt:
          readOnly: true
          description: The date and time when the resource was last updated.
          example: '2021-01-01T00:00:00+00:00'
          type: string
          format: date-time
        tenantId:
          readOnly: true
          type: string
      required:
        - from
        - amount
        - flatAmount
  securitySchemes:
    JWT:
      type: http
      scheme: bearer

````